This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 210742 - CVE-2006-4811 qt integer overflow
CVE-2006-4811 qt integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs (Show other bugs)
4.0
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
impact=critical,source=vendorsec,repo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-14 00:46 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0720
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 00:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo exploit (436.42 KB, text/html)
2006-10-14 00:50 EDT, Josh Bressers
no flags Details
Proposed patch (955 bytes, patch)
2006-10-14 00:52 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-10-14 00:46:11 EDT
An interger overflow flaw was found in the way qt handles certain pixmax
requests.  This flaw can lead to arbitrary data being written onto the heap,
possibly resulting in arbitrary code execution withing applications using qt
(such as knoqueror and kmail)
Comment 1 Josh Bressers 2006-10-14 00:46:56 EDT
This issue also affects RHEL2.1 and RHEL3
Comment 4 Ngo Than 2006-10-17 11:23:49 EDT
it's now fixed in 
kdelibs-2.2.2-21.EL2/kdelibs-3.1.3-6.12/kdelibs-3.3.1-6.RHEL4
Comment 7 Josh Bressers 2006-10-17 23:42:11 EDT
Opening this bug to the public.
Comment 8 Red Hat Bugzilla 2006-10-18 00:52:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0720.html

Note You need to log in before you can comment on or make changes to this bug.